## -*- coding: utf-8-unix -*-
## NOTE: This spec file is generated by tlpdb2rpmspec 2009-3: 
## tlpdb2rpmspec collection-humanities

%bcond_with firstbuild

%define tex_destdir	%{_datadir}
%define texmf		%{tex_destdir}/texmf
%define texlive_src	%{tex_destdir}/texlive-sources
%define build_tex_destdir	%{buildroot}%{tex_destdir}
%define build_texmf	%{buildroot}%{texmf}

%define exec_mktexlsr  [ -x %{_bindir}/texconfig-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/texconfig-sys rehash
%define exec_texhash  [ -x %{_bindir}/texhash ] && PATH=%{_bindir}:$PATH %{_bindir}/texhash
%define exec_updmap   [ -x %{_bindir}/updmap-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/updmap-sys --nostop
%define exec_fmtutil  [ -x %{_bindir}/fmtutil-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/fmtutil-sys --all >/dev/null 2>&1
%define exec_upddeffont    [ -x %{_sbindir}/update-defaultfont ] && %{_sbindir}/update-defaultfont 2> /dev/null
%define vartexfonts %{_var}/lib/texmf

%define __find_provides	%{nil}
%define __find_requires	%{nil}
%define __perl_provides	%{nil}
%define __perl_requires	%{nil}

Autoreq: 0

Summary: TeX Live: Humanities packages
Summary(ja): TeX Live: Humanities packages
Name: texlive-collection-humanities
Version: 2009
Release: 3%{?_dist_release}
License: LPPL, Public Domain, GPL+, No Info
Group: Applications/Publishing
URL:http://www.tug.org/texlive/

Requires: texlive = %{version}
Requires: texlive-collection-latex = %{version}

Requires(post):		texlive = %{version}
Requires(postun):	texlive = %{version}
BuildRequires:		texlive-sources = %{version}

BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	munepi

%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

This package is a collection of Humanities packages: 
Packages for law, linguistics, the social sciences, the
humanities, etc.

This package contains the following CTAN packages: 
alnumsec: Alphanumeric section numbering.
arydshln: Horizontal and vertical dashed lines in arrays and tabulars.
bibleref: Format bible citations.
covington: Linguistic support.
dramatist: Typeset dramas, both in verse and in prose.
ecltree: Trees using epic and eepic macros.
ednotes: Typeset scholarly editions.
gb4e: Linguistic tools.
gmverse: a package for typesetting (short) poems.
jura: A document class for German legal texts.
juraabbrev: Abbreviations for typesetting (German) juridical documents.
juramisc: Typesetting German juridical documents.
jurarsp: Citations of judgements and official documents in (German) juridical documents.
ledmac: Typeset scholarly editions in parallel texts.
lexikon: Macros for a two language dictionary.
lineno: Line numbers on paragraphs.
linguex: Format linguists' examples.
liturg: Support for typesetting Catholic liturgical texts.
parallel: Typeset parallel texts.
parrun: Typesets (two) streams of text running parallel.
plari: Typesetting stageplay scripts.
play: Typeset drama using LaTeX.
poemscol: Typesetting Critical Editions of Poetry.
qobitree: LaTeX macros for typesetting trees.
qtree: Draw tree structures.
rtklage: A package for German lawyers
screenplay: A class file to typeset screenplays.
sides: A LaTeX class for typesetting stage plays.
stage: A LaTeX class for stage plays
tree-dvips: Trees and other linguists' macros.
verse: Aids for typesetting simple verse.
xyling: Draw syntactic trees, etc., for linguistics literature, using xy-pic.

%description -l ja
TeX Live ソフトウェアディストリビューションは、
さまざまな Unix, Macintosh, Windows、および
他のプラットホームに対して完全な TeX システムを提供します。
多くの異なった言語を含む TeX ドキュメントの
編集、組版、閲覧、印刷するためのプログラム、
そして、TeX マクロやフォントライブラリの大きなコレクションを
同梱しています。

このディストリビューションは
同梱しているソフトウェアパッケージのためのドキュメントばかりでなく、
TeX に関するたくさんの一般的なドキュメントを含んでいます。

このパッケージは以下のようなパッケージ集です。
Humanities packages: 
Packages for law, linguistics, the social sciences, the
humanities, etc.

このパッケージは以下の CTAN パッケージを含んでいます： 
alnumsec: Alphanumeric section numbering.
arydshln: Horizontal and vertical dashed lines in arrays and tabulars.
bibleref: Format bible citations.
covington: Linguistic support.
dramatist: Typeset dramas, both in verse and in prose.
ecltree: Trees using epic and eepic macros.
ednotes: Typeset scholarly editions.
gb4e: Linguistic tools.
gmverse: a package for typesetting (short) poems.
jura: A document class for German legal texts.
juraabbrev: Abbreviations for typesetting (German) juridical documents.
juramisc: Typesetting German juridical documents.
jurarsp: Citations of judgements and official documents in (German) juridical documents.
ledmac: Typeset scholarly editions in parallel texts.
lexikon: Macros for a two language dictionary.
lineno: Line numbers on paragraphs.
linguex: Format linguists' examples.
liturg: Support for typesetting Catholic liturgical texts.
parallel: Typeset parallel texts.
parrun: Typesets (two) streams of text running parallel.
plari: Typesetting stageplay scripts.
play: Typeset drama using LaTeX.
poemscol: Typesetting Critical Editions of Poetry.
qobitree: LaTeX macros for typesetting trees.
qtree: Draw tree structures.
rtklage: A package for German lawyers
screenplay: A class file to typeset screenplays.
sides: A LaTeX class for typesetting stage plays.
stage: A LaTeX class for stage plays
tree-dvips: Trees and other linguists' macros.
verse: Aids for typesetting simple verse.
xyling: Draw syntactic trees, etc., for linguistics literature, using xy-pic.

%package doc
Summary: TeX Live: Documentation files of %{name}
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation files of %{name}.

%prep

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %__rm -rf %{buildroot}

PREF=%{buildroot}%{tex_destdir}

manifest=(
texmf-dist/doc/latex/alnumsec/README
texmf-dist/doc/latex/alnumsec/alnumsec.pdf
texmf-dist/source/latex/alnumsec/alnumsec.dtx
texmf-dist/source/latex/alnumsec/alnumsec.ins
texmf-dist/tex/latex/alnumsec/alnumsec.sty
texmf-dist/doc/latex/arydshln/README
texmf-dist/doc/latex/arydshln/arydshln-man.pdf
texmf-dist/doc/latex/arydshln/arydshln-man.tex
texmf-dist/doc/latex/arydshln/arydshln.pdf
texmf-dist/source/latex/arydshln/arydshln.dtx
texmf-dist/source/latex/arydshln/arydshln.ins
texmf-dist/tex/latex/arydshln/arydshln.sty
texmf-dist/doc/latex/bibleref/README
texmf-dist/doc/latex/bibleref/bibleref-manual.html
texmf-dist/doc/latex/bibleref/bibleref.pdf
texmf-dist/doc/latex/bibleref/bibleref.perl
texmf-dist/doc/latex/bibleref/sample.pdf
texmf-dist/doc/latex/bibleref/sample.tex
texmf-dist/source/latex/bibleref/bibleref.dtx
texmf-dist/source/latex/bibleref/bibleref.ins
texmf-dist/tex/latex/bibleref/bibleref.sty
texmf-dist/doc/latex/covington/covington.dvi
texmf-dist/doc/latex/covington/covington.tex
texmf-dist/tex/latex/covington/covington.sty
texmf-dist/doc/latex/dramatist/README
texmf-dist/doc/latex/dramatist/dramatist.pdf
texmf-dist/doc/latex/dramatist/marlowe-poemscol.tex
texmf-dist/doc/latex/dramatist/marlowe-verse.tex
texmf-dist/doc/latex/dramatist/schiller.tex
texmf-dist/source/latex/dramatist/dramatist.dtx
texmf-dist/source/latex/dramatist/dramatist.ins
texmf-dist/tex/latex/dramatist/dramatist.sty
texmf-dist/doc/latex/ecltree/ecltreesample.pdf
texmf-dist/doc/latex/ecltree/ecltreesample.tex
texmf-dist/tex/latex/ecltree/ecltree.sty
texmf-dist/doc/latex/ednotes/CHANGES.txt
texmf-dist/doc/latex/ednotes/CHANGING.txt
texmf-dist/doc/latex/ednotes/README
texmf-dist/doc/latex/ednotes/README.TEXLIVE
texmf-dist/doc/latex/ednotes/README4U.txt
texmf-dist/doc/latex/ednotes/READMORE.txt
texmf-dist/doc/latex/ednotes/ednotes.pdf
texmf-dist/doc/latex/ednotes/ednotes.tex
texmf-dist/doc/latex/ednotes/ednotugb.pdf
texmf-dist/doc/latex/ednotes/emathtst.tex
texmf-dist/doc/latex/ednotes/varnrule.tex
texmf-dist/doc/latex/ednotes/visible.txt
texmf-dist/tex/latex/ednotes/edcntwd0.sty
texmf-dist/tex/latex/ednotes/ednotes.sty
texmf-dist/tex/latex/ednotes/lblchng1.sty
texmf-dist/tex/latex/ednotes/mfparptc.sty
texmf-dist/tex/latex/ednotes/mfparxsp.sty
texmf-dist/doc/latex/gb4e/gb4e-doc.pdf
texmf-dist/doc/latex/gb4e/gb4e-doc.tex
texmf-dist/tex/latex/gb4e/cgloss4e.sty
texmf-dist/tex/latex/gb4e/gb4e.sty
texmf-dist/doc/latex/gmverse/README
texmf-dist/doc/latex/gmverse/gmverse.pdf
texmf-dist/tex/latex/gmverse/gmverse.sty
texmf-dist/doc/latex/jura/README
texmf-dist/doc/latex/jura/jura.pdf
texmf-dist/doc/latex/jura/jura2html
texmf-dist/doc/latex/jura/juratest.ltx
texmf-dist/source/latex/jura/jura.dtx
texmf-dist/source/latex/jura/jura.ins
texmf-dist/tex/latex/jura/alphanum.sty
texmf-dist/tex/latex/jura/jura.cls
texmf-dist/doc/latex/juraabbrev/README
texmf-dist/doc/latex/juraabbrev/abbrevtest.tex
texmf-dist/doc/latex/juraabbrev/juraabbrev.pdf
texmf-dist/source/latex/juraabbrev/juraabbrev.dtx
texmf-dist/source/latex/juraabbrev/juraabbrev.ins
texmf-dist/makeindex/juraabbrev/laws.ist
texmf-dist/tex/latex/juraabbrev/juraabbrev.4ht
texmf-dist/tex/latex/juraabbrev/juraabbrev.sty
texmf-dist/doc/latex/juramisc/README
texmf-dist/doc/latex/juramisc/doc/jbook/jbook.dtx
texmf-dist/doc/latex/juramisc/doc/jbook/jbook.ins
texmf-dist/doc/latex/juramisc/doc/jmgerdoc.pdf
texmf-dist/doc/latex/juramisc/doc/jmgerdoc.tex
texmf-dist/doc/latex/juramisc/doc/jmgerdoc_scr.pdf
texmf-dist/tex/latex/juramisc/jbgoe.clo
texmf-dist/tex/latex/juramisc/jbstgallen.clo
texmf-dist/tex/latex/juramisc/jbtrier.clo
texmf-dist/tex/latex/juramisc/jurabase.sty
texmf-dist/tex/latex/juramisc/jurabook.cls
texmf-dist/tex/latex/juramisc/juraovw.cls
texmf-dist/tex/latex/juramisc/juraurtl.cls
texmf-dist/doc/latex/jurarsp/README
texmf-dist/doc/latex/jurarsp/jurarsp.pdf
texmf-dist/doc/latex/jurarsp/rsptest.bib
texmf-dist/doc/latex/jurarsp/rsptest.tex
texmf-dist/source/latex/jurarsp/jurarsp.dtx
texmf-dist/source/latex/jurarsp/jurarsp.ins
texmf-dist/bibtex/bst/jurarsp/jurarsp.bst
texmf-dist/tex/latex/jurarsp/jurarsp.cfg
texmf-dist/tex/latex/jurarsp/jurarsp.sty
texmf-dist/doc/latex/ledmac/README
texmf-dist/doc/latex/ledmac/examples/djd17nov.tex
texmf-dist/doc/latex/ledmac/examples/djd17novL.eps
texmf-dist/doc/latex/ledmac/examples/djd17novR.eps
texmf-dist/doc/latex/ledmac/examples/djdpoems.tex
texmf-dist/doc/latex/ledmac/examples/djdpoems1.eps
texmf-dist/doc/latex/ledmac/examples/djdpoems2.eps
texmf-dist/doc/latex/ledmac/examples/djdpoems3.eps
texmf-dist/doc/latex/ledmac/examples/djdpoems4.eps
texmf-dist/doc/latex/ledmac/examples/egarab.eps
texmf-dist/doc/latex/ledmac/examples/egarab.tex
texmf-dist/doc/latex/ledmac/examples/egarabpar.eps
texmf-dist/doc/latex/ledmac/examples/egarabpar.tex
texmf-dist/doc/latex/ledmac/examples/ledarden.eps
texmf-dist/doc/latex/ledmac/examples/ledarden.tex
texmf-dist/doc/latex/ledmac/examples/ledbraonain.eps
texmf-dist/doc/latex/ledmac/examples/ledbraonain.tex
texmf-dist/doc/latex/ledmac/examples/ledeasy.eps
texmf-dist/doc/latex/ledmac/examples/ledeasy.tex
texmf-dist/doc/latex/ledmac/examples/ledekker.eps
texmf-dist/doc/latex/ledmac/examples/ledekker.tex
texmf-dist/doc/latex/ledmac/examples/ledfeat.eps
texmf-dist/doc/latex/ledmac/examples/ledfeat.tex
texmf-dist/doc/latex/ledmac/examples/ledioc.eps
texmf-dist/doc/latex/ledmac/examples/ledioc.tex
texmf-dist/doc/latex/ledmac/examples/ledmixed.eps
texmf-dist/doc/latex/ledmac/examples/ledmixed.tex
texmf-dist/doc/latex/ledmac/examples/villon.eps
texmf-dist/doc/latex/ledmac/examples/villon.tex
texmf-dist/doc/latex/ledmac/ledarab.pdf
texmf-dist/doc/latex/ledmac/ledmac.pdf
texmf-dist/doc/latex/ledmac/ledpar.pdf
texmf-dist/source/latex/ledmac/ledarab.dtx
texmf-dist/source/latex/ledmac/ledarab.ins
texmf-dist/source/latex/ledmac/ledmac.dtx
texmf-dist/source/latex/ledmac/ledmac.ins
texmf-dist/source/latex/ledmac/ledpar.dtx
texmf-dist/source/latex/ledmac/ledpar.ins
texmf-dist/tex/latex/ledmac/afoot.sty
texmf-dist/tex/latex/ledmac/ledarab.sty
texmf-dist/tex/latex/ledmac/ledmac.sty
texmf-dist/tex/latex/ledmac/ledpar.sty
texmf-dist/tex/latex/ledmac/ledparpatch.sty
texmf-dist/tex/latex/ledmac/ledpatch.sty
texmf-dist/doc/latex/lexikon/lexikon.dvi
texmf-dist/doc/latex/lexikon/lexikon.tex
texmf-dist/source/latex/lexikon/lexikon.upl
texmf-dist/tex/latex/lexikon/lexikon.sty
texmf-dist/doc/latex/lineno/CHANGES.txt
texmf-dist/doc/latex/lineno/COPYING.txt
texmf-dist/doc/latex/lineno/README.txt
texmf-dist/doc/latex/lineno/lineno.pdf
texmf-dist/doc/latex/lineno/lineno.tex
texmf-dist/doc/latex/lineno/lnosuppl.pdf
texmf-dist/doc/latex/lineno/lnosuppl.tex
texmf-dist/doc/latex/lineno/ulineno.pdf
texmf-dist/doc/latex/lineno/ulineno.tex
texmf-dist/tex/latex/lineno/ednmath0.sty
texmf-dist/tex/latex/lineno/edtable.sty
texmf-dist/tex/latex/lineno/lineno.sty
texmf-dist/tex/latex/lineno/vplref.sty
texmf-dist/doc/latex/linguex/README
texmf-dist/doc/latex/linguex/README.TEXLIVE
texmf-dist/doc/latex/linguex/linguex-doc.pdf
texmf-dist/doc/latex/linguex/linguex-doc.tex
texmf-dist/doc/latex/linguex/ps-trees-doc.pdf
texmf-dist/doc/latex/linguex/ps-trees-doc.tex
texmf-dist/tex/latex/linguex/linguex.sty
texmf-dist/tex/latex/linguex/linguho.sty
texmf-dist/tex/latex/linguex/ps-trees.sty
texmf-dist/doc/latex/liturg/README
texmf-dist/doc/latex/liturg/liturg.pdf
texmf-dist/doc/latex/liturg/test.tex
texmf-dist/source/latex/liturg/liturg.ins
texmf-dist/tex/latex/liturg/liturg.sty
texmf-dist/doc/latex/parallel/example1.tex
texmf-dist/doc/latex/parallel/example2.tex
texmf-dist/doc/latex/parallel/parallel.pdf
texmf-dist/doc/latex/parallel/readme
texmf-dist/source/latex/parallel/parallel.drv
texmf-dist/source/latex/parallel/parallel.dtx
texmf-dist/source/latex/parallel/parallel.ins
texmf-dist/tex/latex/parallel/parallel.sty
texmf-dist/doc/latex/parrun/parrun.pdf
texmf-dist/doc/latex/parrun/readme
texmf-dist/source/latex/parrun/parrun.dtx
texmf-dist/source/latex/parrun/parrun.ins
texmf-dist/tex/latex/parrun/parrun.sty
texmf-dist/doc/latex/plari/COPYING
texmf-dist/doc/latex/plari/README
texmf-dist/doc/latex/plari/plari.pdf
texmf-dist/source/latex/plari/Makefile
texmf-dist/source/latex/plari/plari.dtx
texmf-dist/source/latex/plari/plari.ins
texmf-dist/tex/latex/plari/plari.cls
texmf-dist/doc/latex/play/README
texmf-dist/source/latex/play/play.dtx
texmf-dist/source/latex/play/play.ins
texmf-dist/tex/latex/play/play.cls
texmf-dist/tex/latex/play/play.sty
texmf-dist/doc/latex/poemscol/README
texmf-dist/doc/latex/poemscol/poemscol.pdf
texmf-dist/doc/latex/poemscol/poemscolcheatsheet.pdf
texmf-dist/source/latex/poemscol/poemscol.dtx
texmf-dist/source/latex/poemscol/poemscol.ins
texmf-dist/tex/latex/poemscol/poemscol.sty
texmf-dist/doc/latex/qobitree/README
texmf-dist/doc/latex/qobitree/example.tex
texmf-dist/tex/latex/qobitree/qobitree.tex
texmf-dist/doc/latex/qtree/README
texmf-dist/doc/latex/qtree/qarrows.pdf
texmf-dist/doc/latex/qtree/qarrows.tex
texmf-dist/doc/latex/qtree/qtreenotes.pdf
texmf-dist/doc/latex/qtree/qtreenotes.tex
texmf-dist/tex/latex/qtree/qtree.sty
texmf-dist/doc/latex/rtklage/README
texmf-dist/doc/latex/rtklage/bspklage.tex
texmf-dist/doc/latex/rtklage/rtklage.pdf
texmf-dist/tex/latex/rtklage/rtklage.cls
texmf-dist/doc/latex/screenplay/COPYING
texmf-dist/doc/latex/screenplay/README
texmf-dist/doc/latex/screenplay/example.tex
texmf-dist/doc/latex/screenplay/screenplay.pdf
texmf-dist/doc/latex/screenplay/test.pdf
texmf-dist/doc/latex/screenplay/test.tex
texmf-dist/source/latex/screenplay/screenplay.dtx
texmf-dist/source/latex/screenplay/screenplay.ins
texmf-dist/tex/latex/screenplay/hardmarg.sty
texmf-dist/tex/latex/screenplay/screenplay.cls
texmf-dist/doc/latex/sides/README
texmf-dist/doc/latex/sides/sides-sample.pdf
texmf-dist/doc/latex/sides/sides-sample.tex
texmf-dist/tex/latex/sides/sides.cls
texmf-dist/doc/latex/stage/README
texmf-dist/doc/latex/stage/stage-documentation.pdf
texmf-dist/tex/latex/stage/stage.cls
texmf-dist/doc/latex/tree-dvips/Readme
texmf-dist/doc/latex/tree-dvips/lingmacros-manual.pdf
texmf-dist/doc/latex/tree-dvips/lingmacros-manual.tex
texmf-dist/doc/latex/tree-dvips/tree-manual.pdf
texmf-dist/doc/latex/tree-dvips/tree-manual.tex
texmf-dist/doc/latex/tree-dvips/tree.script
texmf-dist/source/latex/tree-dvips/Makefile
texmf-dist/dvips/tree-dvips/tree-dvips.pro
texmf-dist/tex/latex/tree-dvips/lingmacros.sty
texmf-dist/tex/latex/tree-dvips/tree-dvips.sty
texmf-dist/doc/latex/verse/README
texmf-dist/doc/latex/verse/verse.pdf
texmf-dist/source/latex/verse/verse.dtx
texmf-dist/source/latex/verse/verse.ins
texmf-dist/tex/latex/verse/verse.sty
texmf-dist/doc/latex/xyling/README
texmf-dist/doc/latex/xyling/xyli-doc.pdf
texmf-dist/doc/latex/xyling/xyli-doc.tex
texmf-dist/tex/latex/xyling/xyling.sty
)

%__mkdir_p ${PREF}/texmf-dist
for i in "${manifest[@]}"; do 
    %__install -D %{texlive_src}/$i ${PREF}/$i
done

## info
%__rm -f %{buildroot}%{_infodir}/dir
%__gzip -9nf %{buildroot}%{_infodir}/*info* ||:

## man
## man t1* files are provided by t1utils
for i in t1ascii t1asm t1binary t1disasm t1mac t1unmac; do
    %__rm %{buildroot}%{_mandir}/man*/${i}.* ||:
done

## man some files are provided by psutils
for i in epsffit extractres fixdlsrps fixfmps fixmacps fixpsditps fixpspps fixscribeps fixtpps fixwfwps fixwpps fixwwps getafm includeres psbook psmerge psnup psresize psselect pstops; do
    %__rm %{buildroot}%{_mandir}/man*/${i}.* ||:
done

## fix perl path
for i in source/metapost/expressg/expressg.dtx \
         doc/metapost/expressg/n2mpsprl.prl \
         doc/latex/songbook/contrib/crd2sb/crd2sb; do 
    [ -f %{build_texmf}-dist/${i} ] && \
        %__sed -i -e "s|^#!/usr/local/bin/perl|#!%{__perl}|" %{build_texmf}-dist/${i}
done

## remove asymptote directries, which provides asymptote package
find %{buildroot} -regex ".*asymptote.*" | xargs %__rm -rf
# find %{buildroot} -name "Makefile" | xargs %__rm -f

# ## remove xindy
# find %{buildroot} -regex ".*xindy.*" | xargs %__rm -rf

# ## remove tex4ht
# find %{buildroot} -regex ".*tex4ht.*" | xargs %__rm -rf

## remove arch dependent binaries
%__rm -f %{build_texmf}-dist/source/latex/splitindex/splitindex-{OpenBSD,Linux}-i386

## remove unpackaging files
find %{buildroot} | %__grep -e "\.\(la\|a\)$" | xargs %__rm -f
find %{buildroot} | %__grep -e "\.\(diff\|patch\)$" | xargs %__rm -f

## Files list
find %{buildroot} -type f -or -type l | \
    %__sed -e "s|%{buildroot}||g" > filelist.full

find %{buildroot}%{texmf}-dist -type d | \
    %__sed -e "s|^%{buildroot}|%dir |" \
           -e "s|$|/|"             >> filelist.full

## subpackages
grep "/texmf-dist/doc/" filelist.full > filelist.doc
cat filelist.doc filelist.full | sort | uniq -u > filelist.tmp
%__mv -f filelist.tmp filelist.full

%clean
%__rm -rf %{buildroot}

%post
%{exec_texhash}

exit 0


%postun
if [ "$1" = 0 ]; then
    %{exec_texhash}

fi

exit 0

%files -f filelist.full
%defattr(-,root,root)

%files -f filelist.doc doc
%defattr(-,root,root)

%changelog
* Fri Jan 14 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- generated by tlpdb2rpmspec 2009-3: tlpdb2rpmspec collection-humanities
- improved %%post

* Fri Oct 01 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- generated by tlpdb2rpmspec 2009-2: tlpdb2rpmspec collection-humanities
- removed arch dependent binaries (texlive-collection-latexextra)
- fixed perl path
- improved updmap process in %%post and %%postun

* Sat Aug 07 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- generated by tlpdb2rpmspec 2009-1: tlpdb2rpmspec collection-humanities
